### Constructor

# Gtk.ClosureExpression.new

#### Declaration [src]

    GtkExpression*
    gtk_closure_expression_new (
      GType value_type,
      GClosure* closure,
      guint n_params,
      GtkExpression** params
    )

#### Description [src]

Creates a `GtkExpression` that calls `closure` when it is evaluated. `closure` is called with the `this` object and the results of evaluating the `params` expressions.

#### Parameters

`value_type` | `GType`
| the type of the value that this expression evaluates to
`closure` | `GClosure*`
| closure to call when evaluating this expression. If closure is floating, it is adopted
| Ownership is not transferred to the callee
`n_params` | `guint`
| the number of params needed for evaluating `closure`
`params` | An array of `GtkExpression`
| expressions for each parameter
| Can be `NULL`
| The length of the array is in the `n_params` argument
| Ownership of the data is transferred to the callee

#### Return value

Returns: `GtkClosureExpression`
a new `GtkExpression`
Ownership of the data is transferred to the caller